using AutoTurnOver.Models;
using System;
using System.Collections.Generic;
using System.Text;

namespace AutoTurnOver.Services
{
    public class ReturnGoodsConfigServices
    {
        public List<dc_auto_return_goods_sku_dto> SkuPage(dc_auto_return_goods_sku_search_dto m, int offset, int limit, ref int total)
        {
            return DB.dc_auto_return_goods_config_dao.SkuPage(m, offset, limit, ref total);
        }
        public List<dc_auto_pick_up_goods_order_view_dto> PickSkuPage(dc_auto_return_goods_sku_search_dto m, int offset, int limit, ref int total)
        {
            return DB.dc_auto_pick_up_goods_order_dao.SkuPage(m, offset, limit, ref total);
        }

        public void Push(dc_auto_return_goods_sku_search_dto input_data, UserData user)
        {
            DB.dc_auto_return_goods_config_dao.BatchPush(input_data, user);
        }
        public void BatchApproval(batch_approval_input_dto input_data,UserData user)
        {
            DB.dc_auto_return_goods_config_dao.BatchApproval(input_data, user);
        }
    }
}
